yara (4.1.0~rc2-1) unstable; urgency=medium

  * New upstream version 4.1.0~rc2
  * Update symbols
  * Rebase patch

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Mar 2021 23:11:26 +0100

yara (4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5

 -- Hilko Bengen <bengen@debian.org>  Tue, 09 Feb 2021 22:13:16 +0100

yara (4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4

 -- Hilko Bengen <bengen@debian.org>  Thu, 28 Jan 2021 01:57:28 +0100

yara (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3
  * Modernize package (Standards-Version Debhelper compat level
    declaration)
  * Add Lintian overrides for test data

 -- Hilko Bengen <bengen@debian.org>  Tue, 26 Jan 2021 20:03:20 +0100

yara (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Jun 2020 12:55:50 +0200

yara (4.0.1-2) unstable; urgency=medium

  * Source-only re-upload

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 May 2020 16:01:54 +0200

yara (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * Drop patches that have been included upstream

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 May 2020 16:01:50 +0200

yara (4.0.0-2) experimental; urgency=medium

  * Update alignment patch (Closes: #959076)

 -- Hilko Bengen <bengen@debian.org>  Fri, 01 May 2020 00:41:49 +0200

yara (4.0.0-1) experimental; urgency=medium

  * New upstream version 4.0.0
  * Drop patches that have been applied upstream
  * Add improvements to test error messages

 -- Hilko Bengen <bengen@debian.org>  Wed, 29 Apr 2020 18:25:55 +0200

yara (4.0.0~rc3-3) experimental; urgency=medium

  * Add a fix for the PE module on 32-bit big-endiann architectures

 -- Hilko Bengen <bengen@debian.org>  Sun, 05 Apr 2020 01:42:33 +0200

yara (4.0.0~rc3-2) experimental; urgency=medium

  * Add patch to fix big-endian FTBFS

 -- Hilko Bengen <bengen@debian.org>  Sat, 04 Apr 2020 00:48:19 +0200

yara (4.0.0~rc3-1) experimental; urgency=medium

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

  [ Hilko Bengen ]
  * New upstream version 4.0.0~rc3
  * Update d/watch to correctly handle -rc versions
  * Switch gbp target branch to debian/experimental
  * Update build-dependencies
  * Bump library name according to SONAME bump.
  * Rework patches; add patch to get rid of CFLAGS in yara.pc

 -- Hilko Bengen <bengen@debian.org>  Fri, 27 Mar 2020 15:15:48 +0100

yara (3.11.0-4) unstable; urgency=medium

  * Update/extend no-unaligned-access.patch. This fixes a bus error in
    tests that so far I have been able to reproduce only on
    amdahl.debian.org (armhf chroot on arm64 box). (Closes: #959076)

 -- Hilko Bengen <bengen@debian.org>  Thu, 30 Apr 2020 00:56:11 +0200

yara (3.11.0-3) unstable; urgency=medium

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

  [ Hilko Bengen ]
  * Update d/watch to correctly handle -rc versions
  * Add improvements to test error messages

 -- Hilko Bengen <bengen@debian.org>  Wed, 29 Apr 2020 17:28:44 +0200

yara (3.11.0-2) unstable; urgency=medium

  * Add patch to fix FTBFS on s390x and other big-endian architectures

 -- Hilko Bengen <bengen@debian.org>  Sun, 13 Oct 2019 01:35:57 +0200

yara (3.11.0-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Hilko Bengen ]
  * New upstream version 3.11.0
  * Bump Standards-Version
  * Rebase patches, drop upstream's memory leak patch.
  * Update .symbols

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Oct 2019 16:38:32 +0200

yara (3.10.0-2) unstable; urgency=medium

  * Add fix for memory leak (upstream issue 1070)

 -- Hilko Bengen <bengen@debian.org>  Thu, 06 Jun 2019 22:05:30 +0200

yara (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
  * Fix doc-base entry
  * Remove stale Lintian overrides

 -- Hilko Bengen <bengen@debian.org>  Fri, 03 May 2019 09:51:22 +0200

yara (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0
  * Drop security patch integrated upstream
  * Bump Debhelper compat level
  * Replace dh_install --fail-missing
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Fri, 22 Feb 2019 23:27:14 +0100

yara (3.8.1-2) unstable; urgency=high

  * Mark yara-doc Multi-Arch: foreign
  * Add upstream patch to fix information leaks from specially crafted bytecode
    (CVE-2018-19974, CVE-2018-19975, CVE-2018-19976; Closes: #916932)
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Fri, 21 Dec 2018 11:06:46 +0100

yara (3.8.1-1) unstable; urgency=medium

  * New upstream version 3.8.1
  * Drop bugfix patches that have been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Thu, 16 Aug 2018 18:20:22 +0200

yara (3.8.0-5) unstable; urgency=medium

  * Update format-string-related patches

 -- Hilko Bengen <bengen@debian.org>  Thu, 09 Aug 2018 22:03:07 +0200

yara (3.8.0-4) unstable; urgency=medium

  * Add patches for detecting, fixing format string mismatches, fixing
    FTBFS on mips, powerpc

 -- Hilko Bengen <bengen@debian.org>  Wed, 08 Aug 2018 22:21:27 +0200

yara (3.8.0-3) unstable; urgency=medium

  * Add portability fixes for macho, dex modules
  * Add patch fixing /usr/bin/yara command line handling

 -- Hilko Bengen <bengen@debian.org>  Tue, 07 Aug 2018 21:41:15 +0200

yara (3.8.0-2) unstable; urgency=medium

  * Enable dotnet, macho, dex modules
  * Build-Depend on python3-sphinx (thanks, Lintian!)

 -- Hilko Bengen <bengen@debian.org>  Mon, 06 Aug 2018 21:48:57 +0200

yara (3.8.0-1) unstable; urgency=medium

  * New upstream version 3.8.0
  * Bump Standards-Version
  * Update symbols
  * Drop patches integrated upstream, add ABI compatibility patch

 -- Hilko Bengen <bengen@debian.org>  Mon, 06 Aug 2018 18:05:55 +0200

yara (3.7.1-3) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * Add upstream patch for CVE-2018-12034, CVE-2018-12035 (out-of-bounds
    read/writes in compiled rulesets)

 -- Hilko Bengen <bengen@debian.org>  Sun, 17 Jun 2018 13:30:56 +0200

yara (3.7.1-2) unstable; urgency=medium

  * Fix unaligned access that leads to failing tests. Thanks to Matthias
    Klose for the patch. (Closes: #869777)

 -- Hilko Bengen <bengen@debian.org>  Tue, 13 Feb 2018 23:27:11 +0100

yara (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1
  * Drop patch
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 16 Jan 2018 13:45:26 +0100

yara (3.7.0-5) unstable; urgency=medium

  * Add patch for import regression

 -- Hilko Bengen <bengen@debian.org>  Fri, 24 Nov 2017 15:40:00 +0100

yara (3.7.0-4) unstable; urgency=medium

  * Add Built-Using header to yara-doc package
  * Add missing dependencies to libyara-dev

 -- Hilko Bengen <bengen@debian.org>  Mon, 20 Nov 2017 20:30:05 +0100

yara (3.7.0-3) unstable; urgency=medium

  * Update symbols file
  * Really fix FTBFS on kfreebsd -- by reverting to using the Linux-style
    procfs.

 -- Hilko Bengen <bengen@debian.org>  Sat, 11 Nov 2017 13:59:20 +0100

yara (3.7.0-2) unstable; urgency=medium

  * Fix typo introduced into debian/watch
  * Add patch to fix FTBFS on kfreebsd

 -- Hilko Bengen <bengen@debian.org>  Fri, 10 Nov 2017 23:38:10 +0100

yara (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * No longer rewrite orig tarballs
  * Remove explicit autoreconf
  * Bump Standards-Version, update VCS URLs, remove Python headers
  * Drop patch

 -- Hilko Bengen <bengen@debian.org>  Fri, 10 Nov 2017 21:37:26 +0100

yara (3.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.6.3+dfsg
  * Update patch

 -- Hilko Bengen <bengen@debian.org>  Wed, 05 Jul 2017 19:07:38 +0200

yara (3.6.2+dfsg-4) unstable; urgency=medium

  * Add patch to improve handling of generated files (Closes: #866709)
  * Remove autogenerated files before running configure
  * Pass --enable-debug to generate better debug symbols
  * Modernize package: Bump Standards-Version, Debhelper compat level

 -- Hilko Bengen <bengen@debian.org>  Sat, 01 Jul 2017 13:29:51 +0200

yara (3.6.2+dfsg-3) unstable; urgency=medium

  * Instead of regenerating grammar files, remove them before build

 -- Hilko Bengen <bengen@debian.org>  Sat, 01 Jul 2017 00:41:52 +0200

yara (3.6.2+dfsg-2) unstable; urgency=medium

  * Regenerate re_lexer.c using flex 2.6.1

 -- Hilko Bengen <bengen@debian.org>  Fri, 30 Jun 2017 23:59:50 +0200

yara (3.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.6.2+dfsg

 -- Hilko Bengen <bengen@debian.org>  Wed, 28 Jun 2017 09:11:55 +0200

yara (3.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.6.1+dfsg

 -- Hilko Bengen <bengen@debian.org>  Fri, 23 Jun 2017 22:57:48 +0200

yara (3.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Drop patches integrated upstream
  * Add missing symbol

 -- Hilko Bengen <bengen@debian.org>  Mon, 22 May 2017 19:41:01 +0200

yara (3.5.0+dfsg-9) unstable; urgency=medium

  * Add patches for CVE-2016-10210, CVE-2016-10211, CVE-2017-5923,
    CVE-2017-5924 (Closes: #859821)
  
 -- Hilko Bengen <bengen@debian.org>  Sun, 09 Apr 2017 13:02:37 +0200

yara (3.5.0+dfsg-8) unstable; urgency=medium

  * Fix FTBFS due to failing tests on kFreeBSD

 -- Hilko Bengen <bengen@debian.org>  Sat, 05 Nov 2016 12:27:25 +0100

yara (3.5.0+dfsg-7) unstable; urgency=medium

  * Update signal handling test

 -- Hilko Bengen <bengen@debian.org>  Mon, 31 Oct 2016 23:30:55 +0100

yara (3.5.0+dfsg-6) unstable; urgency=medium

  * Add signal handling fix

 -- Hilko Bengen <bengen@debian.org>  Mon, 31 Oct 2016 15:08:00 +0100

yara (3.5.0+dfsg-5) unstable; urgency=medium

  * Update big endian patch, this should fix build problems with software
    that uses YARA.

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Oct 2016 22:22:43 +0200

yara (3.5.0+dfsg-4) unstable; urgency=medium

  * Add fixes for big-endian architectures
  * Build for all architectures again

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Oct 2016 15:23:57 +0200

yara (3.5.0+dfsg-3) unstable; urgency=medium

  * Limit Architecture: The tests that were introduced in 3.5.0 crash and
    cause FTBFS on big-endian architectures

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Sep 2016 20:24:28 +0200

yara (3.5.0+dfsg-2) unstable; urgency=medium

  * Update copyright

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Aug 2016 22:53:46 +0200

yara (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update URLs to reflect move of upstream source; remove README.Debian
  * Drop patches that have been integrated upstream
  * Update symbols file
  * Drop packages for Python bindings and debug symbols
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Aug 2016 22:19:39 +0200

yara (3.4.0+dfsg-4) unstable; urgency=medium

  * Fix typo in OpenSSL 1.1 compatibility patch

 -- Hilko Bengen <bengen@debian.org>  Sat, 02 Jul 2016 10:33:41 +0200

yara (3.4.0+dfsg-3) unstable; urgency=medium

  * Add patch to fix build with OpenSSL 1.1 (Closes: #828614)

 -- Hilko Bengen <bengen@debian.org>  Fri, 01 Jul 2016 18:45:12 +0200

yara (3.4.0+dfsg-2) unstable; urgency=medium

  * Added fix for possible buffer overrun in PE module

 -- Hilko Bengen <bengen@debian.org>  Sun, 02 Aug 2015 23:05:43 +0200

yara (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Updated symbols file

 -- Hilko Bengen <bengen@debian.org>  Thu, 18 Jun 2015 18:28:36 +0200

yara (3.3.0+dfsg-1) unstable; urgency=medium

  * Removed Eriberto from Uploaders at his request
  * Imported Upstream version 3.3.0+dfsg
  * Added script to edit orig tarball, integrated into debian/watch.
  * copyright: Removed notes about files that are no longer included in
    the source package

 -- Hilko Bengen <bengen@debian.org>  Mon, 15 Jun 2015 00:33:23 +0200

yara (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Dropped patches that have been integrated upstream
  * Added pkgconfig file to -dev package
  * Updated symbols file

 -- Hilko Bengen <bengen@debian.org>  Tue, 10 Feb 2015 14:40:35 +0100

yara (3.2.0-3) unstable; urgency=medium

  * Made packages multiarch-compatible
  * Added -dbg package

 -- Hilko Bengen <bengen@debian.org>  Fri, 06 Feb 2015 16:55:22 +0100

yara (3.2.0-2) unstable; urgency=medium

  * Improved package descriptions
  * Added documentation package
  * added Build-Depends: dh-python as suggested by dh_python2
  * Added some more "substvars" variables

 -- Hilko Bengen <bengen@debian.org>  Mon, 10 Nov 2014 20:40:00 +0100

yara (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Ensure that m4 directory exists when autoreconf is run.
  * Added build dependency for hash module; explicitly added cuckoo, magic
    modules
  * Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 10 Nov 2014 16:16:17 +0100

yara (3.1.0-2) unstable; urgency=medium

  * Re-addded patches for FTBFS on kFreeBSD, Hurd

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 Aug 2014 10:24:35 +0200

yara (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Bumped ABI version
  * Removed old patches, added fix for building Python bindings

 -- Hilko Bengen <bengen@debian.org>  Fri, 29 Aug 2014 22:14:20 +0200

yara (2.1.0-4) unstable; urgency=medium

  * New co-maintainer email address.
  * debian/control: updated the Vcs-Browser field.
  * debian/patches/: added headers to fix-kfreebsd-build
    and to try-fix-hurd-build patches.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 10 Aug 2014 20:24:19 -0300

yara (2.1.0-3) unstable; urgency=medium

  * Add missing python{3}:Depends substvars in debian/control so proper
    python depends on included for python{3}-yara (Closes: #750625).
    Thanks to Scott Kitterman.

 -- Hilko Bengen <bengen@debian.org>  Sat, 07 Jun 2014 11:36:02 +0200

yara (2.1.0-2) unstable; urgency=medium

  * Restored symbols file
  * Added build fix for kFreeBSD
  * Added attempt at build fix for Hurd

 -- Hilko Bengen <bengen@debian.org>  Sun, 23 Mar 2014 15:26:43 +0100

yara (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean: removed because the upstream fixed the source code.
  * changelog.upstream: updated.
  * debian/copyright: updated the upstream copyright years.
  * debian/exlib: removed this useless file.
  * debian/libyara2.symbols: updated.
  * debian/{man/,yara.manpages}: removed. The upstream adopted the
    manpage provided by last Debian package.
  * debian/patch/build-fixes: removed. The upstream fixed the source
    code. Thanks Victor.
  * debian/rules: updated the override_dh_installchangelogs target,
    changing from "-p libyara0" to "-p libyara2".
  * debian/watch: fixed and improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 18 Mar 2014 15:25:18 -0300

yara (2.0.0-2) unstable; urgency=medium

  * Removed PCRE build-dependency as Yara now uses its own RE engine
  * Added our fixes to build scripts that were accepted upstream (Closes:
    #734777)
  * Fixed symbols file, corrected SONAME and name of library package

 -- Hilko Bengen <bengen@debian.org>  Sun, 12 Jan 2014 23:37:07 +0100

yara (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog.upstream: added to provide a upstream changelog to
    libyara-dev, libyara0, python-yara, python3-yara and yara.
  * debian/control:
      - Added the X-Python-Version and X-Python3-Version fields.
      - Changed from "Python" to "Python 3" in short description of the
        python3-yara binary to avoid a lintian "duplicate-short-description"
        message.
      - Enabled the VCS fields.
  * debian/copyright:
      - Added Hilko Bengen as package maintainer.
      - Added references to windows/include/{pcre,pcreposix}.h and
        windows/yarac/getopt.c, all using BSD-3-Clause license.
      - Removed references to:
          - libyara/grammar.y and libyara/elf.h that were rewritten and
            relicensed as Apache-2.0.
          - libyara/lex.l that was removed from source code.
      - Updated the upstream e-mail address.
      - Updated the packaging years.
  * debian/libyara0.symbols: updated.
  * debian/man/: created to provide absent manpages. Currently, yarac.1.
  * debian/patches/:
      - Added a header to fix-python-build.
      - Updated the fix-python-build and manpage patches.
  * debian/{python,python3}-yara.lintian-overrides: added to explain a
    specific situation to lintian.
  * debian/README.Debian: updated.
  * debian/rules:
      - Added the override_dh_installchangelogs to install the
        changelog.upstream file.
      - Added a command to override_dh_auto_clean target to remove
        yara-python/build directory.
  * debian/watch: little adjustment.
  * debian/yara.manpages: created to install the yarac manpage.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 05 Jan 2014 15:47:56 +0000

yara (1.7.2-3) unstable; urgency=low

  * Added files that are only used in Windows builds to debian/copyright
    (Closes: #733522)

 -- Hilko Bengen <bengen@debian.org>  Sun, 29 Dec 2013 20:58:10 +0100

yara (1.7.2-2) unstable; urgency=low

  * Added Python3 bindings package
  * Corrected license for libyara/grammar.y, libyara/lex.l

 -- Hilko Bengen <bengen@debian.org>  Sun, 29 Dec 2013 14:48:00 +0100

yara (1.7.2-1) unstable; urgency=low

  [ Joao Eriberto Mota Filho ]
  * Initial release (Closes: #728934)

  [ Hilko Bengen ]
  * Added myself to uploaders, with permission from Joao Eriberto Mota
    Filho who did the initial work on the package.
  * Updated package from 1.7 to 1.7.2
  * Bumped Standards-Version, no changes
  * Fixed copyright, watch file
  * Fixed Homepage field
  * Added python-yara package

 -- Hilko Bengen <bengen@debian.org>  Sat, 21 Dec 2013 14:28:56 +0100
